@extends('layouts.admin')
@section('content')

        <!--左侧菜单栏-->
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                <img src="{{asset('img/arr.jpg')}}" class="img-circle" alt="User Image">
            </div>
            <div class="pull-left info">
                <p>GT.Young</p>
                <a href="#"><i class="fa fa-circle text-success"></i> 在线</a>
            </div>
        </div>
        <!-- search form -->
        <form action="#" method="get" class="sidebar-form">
            <div class="input-group">
                <input type="text" name="q" class="form-control" placeholder="Search...">
              <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
            </div>
        </form>
        <!-- /.search form -->
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu">
            <li class="header">菜单栏</li>
            <li class="treeview">
                <a href="{{ url('/') }}">
                    <i class="fa fa-home"></i>
                    <span>信息总汇</span>
                </a>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-files-o"></i>
                    <span>项目申请</span>
                    <i class="fa fa-angle-left pull-right"></i>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{ url('/table') }}"><i class="fa  fa-file-text-o"></i>受理案件
                            <i class="fa fa-angle-left pull-right"></i></a>
                        <ul class="treeview-menu">
                            <li><a href="{{ url('/table/1') }}"><i class="fa fa-circle-o"></i>安置单(货币化安置)</a></li>
                            <li><a href="{{ url('/table/2') }}"><i class="fa fa-circle-o"></i>违章建筑自行拆除费用申领表</a></li>
                            <li><a href="{{ url('/table/3') }}"><i class="fa fa-circle-o"></i>残疾人房征补贴审批确认单</a></li>
                            <li><a href="{{ url('/table/4') }}"><i class="fa fa-circle-o"></i>房屋征收提前搬迁奖励单</a></li>
                            <li><a href="{{ url('/table/5') }}"><i class="fa fa-circle-o"></i>逾期过渡安置补助费发放单</a></li>
                            <li><a href="{{ url('/table/6') }}"><i class="fa fa-circle-o"></i>房屋征收安置补贴单</a></li>
                            <li><a href="{{ url('/table/7') }}"><i class="fa fa-circle-o"></i>核算单（货币化安置）</a></li>
                            <li><a href="{{ url('/table/8') }}"><i class="fa fa-circle-o"></i>核算单（产权调换）</a></li>
                            <li><a href="{{ url('/table/9') }}"><i class="fa fa-circle-o"></i>核算单（货币补偿）</a></li>
                        </ul>
                    </li>
                    <li><a href="{{ url('/on_table') }}"><i class="fa fa-circle-o"></i>待办案件</a></li>
                </ul>
            </li>
            <li class="treeview active">
                <a href="#">
                    <i class="fa fa-cogs"></i>
                    <span>系统设置</span>
                    <i class="fa fa-angle-left pull-right"></i>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{ url('/user_list') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>用户管理</span></a>
                    </li>
                    <li class="active"><a href="{{ url('/job') }}">
                            <i class="fa fa-circle-o"></i>
                            <span>职位管理</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </section>
    <!-- /.sidebar -->
</aside>
<!-- =============================================== -->
<!-- 内容 -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            系统设置
            <small></small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('/ ')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
            <li><a href="#">系统设置</a></li>
            <li class="active">职位管理</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="box">
            <div class="box-header with-border">
                <h3 class="box-title">编辑职位</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                        <i class="fa fa-minus"></i></button>
                </div>
            </div>
            <div class="box-body">
                <form class="form-horizontal form-bordered"  action="{{ url("/job/$data->id") }}" method="POST">
                    @if(count($errors)>0)
                        <div class="callout callout-danger">
                            @if(is_object($errors))
                                @foreach($errors->all() as $error)
                                    <p>{{ $error }}</p>
                                @endforeach
                            @else
                                <p>{{ $errors }}</p>
                            @endif
                        </div>
                    @endif
                    <input type="hidden" name="_method" value="put" >
                    {{csrf_field()}}
                    <div class="panel-body panel-body-nopadding">

                        <div class="form-group">
                            <label class="col-sm-3 control-label">权限 <span class="asterisk">*</span></label>

                            <div class="col-sm-6">
                                <input type="text"  name="name" class="form-control tooltips" value="{{ $data->role }}" disabled >
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-3 control-label">职位名称</label>

                            <div class="col-sm-6">
                                <input type="text" class="form-control" name="display_name" value="{{ $data->display_name }}">
                            </div>
                        </div>


                        <div class="form-group">
                            <label class="col-sm-3 control-label">职位详述</label>

                            <div class="col-sm-6">
                                <input type="text" class="form-control" name="description" value="{{ $data->description }}">
                            </div>
                        </div>


                    </div><!-- panel-body -->

                    <div class="panel-footer">
                        <div class="row">
                            <div class="col-sm-6 col-sm-offset-3">
                                <a><button type="submit" class="btn btn-primary">保存</button></a>
                                &nbsp;
                                <a class="btn btn-default" href="{{ url('/job') }}">取消</a>
                            </div>
                        </div>
                    </div><!-- panel-footer -->

                </form>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

@endsection